Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Commission token formation

The method allows you to get a commission token for cross-chain transfer

Commission token formation

post
Header parameters
x-api-public-keystringOptional

Public API-key

x-api-signaturestringOptional

Signing the request body with a private API-key

Content-typestringOptional

Request content type

Example: application/json
Body

The body of the commission token creation request

currencystringRequired

The coin you want to exchange

Example: USDT
networkFromstringRequired

Outgoing network

Example: ethereum
networkTostringRequired

Network where you want to receive coins

Example: tron
amountstringRequired

Amount to transfer

Example: 200
Responses
200Success
application/json

Successful response

successbooleanRequired

Request success indicator

post/api-gateway/bridge/fee-token
POST /api-gateway/bridge/fee-token HTTP/1.1
Host: app.apollopayment.io
Content-Type: application/json
Accept: */*
Content-Length: 78

{
  "currency": "USDT",
  "networkFrom": "ethereum",
  "networkTo": "tron",
  "amount": "200"
}
200Success
{
  "success": true,
  "response": {
    "blockchainFee": "2",
    "blockchainFeeUSD": "2.12",
    "serviceFeeUSD": "0.50",
    "amount": "200",
    "amountUSD": "200",
    "token": "U2FsdGVkX18kvWQ4L8fNAWVKd4ApiUhokQjwJld5dCAHkx6e4HTCX/JKUl1bsh+YsMvY4n7wOCiAjEZ+OpD+QkT6K9cuVR36QNWImQTvpv8fMTrmSm4MaV/4fHlu1s6d9vUk3pYya7nT1Vrs0j8MFcUU+/yo7lQs59J0VD2m6NMpevraQ5dbthqz/3zmqLM+vYSrxWjh+IVH/Aw32gDFtMJ35Tmlg9en6WVsd4jaezc=",
    "expiresAt": "2026-01-29T11:17:59.956Z"
  }
}

Last updated